> ## Documentation Index
> Fetch the complete documentation index at: https://docs.auctionnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an auction

> Update an auction by its slug



## OpenAPI

````yaml https://api.auctionnow.io/api/alpha/doc patch /alpha/merchant/auctions/{slug}
openapi: 3.0.0
info:
  version: alpha
  title: Auction Now API
servers:
  - url: https://api.auctionnow.io/api
    description: Production API
security: []
paths:
  /alpha/merchant/auctions/{slug}:
    patch:
      tags:
        - Auctions
      summary: Update an auction
      description: Update an auction by its slug
      parameters:
        - schema:
            type: string
            description: The unique slug of the auction
          required: true
          description: The unique slug of the auction
          name: slug
          in: path
        - schema:
            type: string
            description: Your Auction Now API key as a Bearer token
            example: Bearer ak_XXXXXXX
          required: true
          description: Your Auction Now API key as a Bearer token
          name: Authorization
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    title:
                      type: string
                      description: A title for the auction
                    description:
                      type: string
                      description: A description for the auction
                    startingPrice:
                      type: number
                      minimum: 0
                      description: >-
                        The starting price or minimum bid for the auction, in
                        USD
                    startTime:
                      type: number
                      description: >-
                        The start time of the auction, in milliseconds since the
                        Unix epoch
                    endTime:
                      type: number
                      description: >-
                        The end time of the auction, in milliseconds since the
                        Unix epoch
                    shippingCostUS:
                      type: number
                      minimum: 0
                      description: The domestic (US) shipping cost in USD
                    shippingCostInternational:
                      type: number
                      minimum: 0
                      description: The international shipping cost in USD
                    imageUrls:
                      type: array
                      items:
                        type: string
                      description: A list of image URLs for the auction
                    binAble:
                      type: boolean
                      description: Whether buy-it-now is enabled for the auction
                    binAmount:
                      type: number
                      minimum: 0
                      description: The buy-it-now price in USD, if enabled
                    productId:
                      type: string
                      description: >-
                        The ID of an existing Auction Now product to associate
                        with the auction
                    productType:
                      type: string
                      enum:
                        - PHYSICAL
                        - DIGITAL_FILE
                        - DIGITAL_LINK
                      description: >-
                        The type of product being auctioned. Use PHYSICAL for
                        physical products that will be shipped, DIGITAL_FILE for
                        files that can be downloaded, and DIGITAL_LINK for links
                        to exclusive digital content
                    digitalLink:
                      type: string
                      description: >-
                        For auctions of type DIGITAL_LINK, the URL or path to
                        send to the buyer
                    customMessage:
                      type: string
                      description: >-
                        For auctions of type DIGITAL_FILE or DIGITAL_LINK, a
                        custom message to include in the email to the winner
                    externalProductId:
                      type: string
                      description: >-
                        A product ID from your system to associate with the
                        auction
                    externalSubtenantId:
                      type: string
                      description: >-
                        For marketplace merchants, a seller ID from your system
                        to associate with the auction
                    details:
                      type: object
                      additionalProperties:
                        type: string
                      description: >-
                        Key-value pairs of additional details about the auction
                        to display to customers
                      example:
                        color: red
                        size: large
                    isArchived:
                      type: boolean
                      description: Whether the auction is archived
                  description: Fields to update on the auction
              required:
                - data
      responses:
        '200':
          description: Update auction success response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                        description: >-
                          Auction Now's unique identifier for the auction. You
                          can use this ID to retrieve, update, or delete the
                          auction.
                      _creationTime:
                        type: number
                        description: >-
                          The time when the auction was created in our system,
                          in milliseconds since the Unix epoch
                      title:
                        type: string
                        description: The title of the auction
                      description:
                        type: string
                        description: The description of the auction
                      startingPrice:
                        type: number
                        minimum: 0
                        description: The starting price of the auction, in USD
                      startTime:
                        type: number
                        description: >-
                          The time when the auction started or is scheduled to
                          start, in milliseconds since the Unix epoch
                      endTime:
                        type: number
                        description: >-
                          The time when the auction ended or is scheduled to
                          end, in milliseconds since the Unix epoch
                      shippingCostUS:
                        type: number
                        minimum: 0
                        description: The shipping cost for domestic (US) buyers, in USD
                      shippingCostInternational:
                        type: number
                        minimum: 0
                        description: The shipping cost for international buyers, in USD
                      binAble:
                        type: boolean
                        description: Whether buy-it-now (BIN) is enabled for the auction
                      binAmount:
                        type: number
                        description: >-
                          The buy-it-now (BIN) price for the item in USD, if
                          enabled
                      productId:
                        type: string
                        description: >-
                          Auction Now's unique identifier for the product
                          associated with the auction
                      externalProductId:
                        type: string
                        description: An associated product ID from your system, if provided
                      externalSubtenantId:
                        type: string
                        description: >-
                          For marketplace merchants, a seller ID from your
                          system, if provided
                      details:
                        type: object
                        additionalProperties:
                          type: string
                        description: >-
                          Additional key-value details for the auction, if
                          provided
                      bidIncrement:
                        type: number
                        description: >-
                          The current bid increment for the auction in USD. This
                          is the amount that must be added to the current bid to
                          place a new bid.
                      partyId:
                        type: string
                        description: >-
                          A unique identifier for your merchant account in our
                          system
                      slug:
                        type: string
                        description: >-
                          A unique, human-readable, url-safe identifier for the
                          auction. You can use this slug to retrieve, update, or
                          archive the auction.
                      handle:
                        type: string
                        description: >-
                          A human-readable identifier for the auction. It is not
                          necessarily unique.
                      currentBidAmount:
                        type: number
                        description: >-
                          The current bid on the auction, in USD. If there are
                          no bids, this will be the minimum bid.
                      productUrl:
                        type: string
                        description: >-
                          The URL of the auction on your AuctionNow.io
                          storefront
                        example: https://myshop.auctionnow.io/my-product-123
                      isArchived:
                        type: boolean
                        description: Whether the auction is archived
                    required:
                      - _id
                      - _creationTime
                      - title
                      - description
                      - startingPrice
                      - startTime
                      - endTime
                      - shippingCostUS
                      - shippingCostInternational
                      - bidIncrement
                      - partyId
                      - slug
                      - handle
                    description: The updated auction
                  message:
                    type: string
                  timestamp:
                    type: number
                required:
                  - data
                  - timestamp
        '400':
          description: Bad Request - Validation error or invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    anyOf:
                      - type: string
                      - type: object
                        properties:
                          errors:
                            type: array
                            items:
                              type: string
                          properties:
                            type: object
                            properties:
                              data:
                                type: object
                                properties:
                                  errors:
                                    type: array
                                    items:
                                      type: string
                                  properties:
                                    type: object
                                    additionalProperties:
                                      type: object
                                      properties:
                                        errors:
                                          type: array
                                          items:
                                            type: string
                                      required:
                                        - errors
                                required:
                                  - errors
                                  - properties
                            required:
                              - data
                        required:
                          - errors
                          - properties
                required:
                  - message
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  reason:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error

````